Package pygccxml :: Package declarations :: Module cpptypes :: Class unknown_t

# type unknown_t

source code

    object --+
             |
        type_t --+
                 |
                unknown_t

type, that represents all C++ types, that could not be parsed by GCC-XML

Instance Methods

__init__(self) | source code

build_decl_string(self, with_defaults=True) | source code

Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Properties
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self)
(Constructor)

source code

Overrides: type_t.__init__

### build_decl_string(self, with_defaults=True)

source code

Overrides: type_t.build_decl_string